---
title: Create a teams ownership mapping
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Rum Teams Ownership
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create a teams ownership mapping{% #create-a-teams-ownership-mapping %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                  |
| ----------------- | ----------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/rum/config/teams-ownership/mappings |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/rum/config/teams-ownership/mappings |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/rum/config/teams-ownership/mappings      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/rum/config/teams-ownership/mappings      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/rum/config/teams-ownership/mappings  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/rum/config/teams-ownership/mappings |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/rum/config/teams-ownership/mappings     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/rum/config/teams-ownership/mappings |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/rum/config/teams-ownership/mappings |

### Overview

Create a teams ownership mapping for your organization. Returns the teams ownership mapping object from the request body when the request is successful.

### Request

#### Body Data (required)

The definition of the teams ownership mapping to create.

{% tab title="Model" %}

| Parent field | Field                         | Type   | Description                                                                                                                                                                                                                                                                                                                                                                |
| ------------ | ----------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]        | object | The JSON:API data envelope for a teams ownership mapping create request.                                                                                                                                                                                                                                                                                                   |
| data         | attributes [*required*]  | object | The attributes of the teams ownership mapping to create.                                                                                                                                                                                                                                                                                                                   |
| attributes   | application_id                | uuid   | The ID of the RUM application this mapping applies to. For browser applications, provide the real application UUID — the team is applied to the view regardless of service. For mobile applications, omit this field (or set it to the nil UUID `00000000-0000-0000-0000-000000000000`) — the team is applied to the view and service combination across all applications. |
| attributes   | match_type                    | enum   | How the `view_name` is matched against RUM view names. Allowed enum values: `exact,prefix`                                                                                                                                                                                                                                                                                 |
| attributes   | service                       | string | The RUM application's service name. For browser applications, this is optional. For mobile applications, this is required and scopes the ownership to a specific service.                                                                                                                                                                                                  |
| attributes   | team_handle [*required*] | string | The handle of the team that owns the matched RUM views.                                                                                                                                                                                                                                                                                                                    |
| attributes   | view_name [*required*]   | string | The RUM view name to match, or its prefix when `match_type` is `prefix`.                                                                                                                                                                                                                                                                                                   |
| data         | type [*required*]        | enum   | The type of the resource. The value should always be teams_ownership_mappings. Allowed enum values: `teams_ownership_mappings`                                                                                                                                                                                                                                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "application_id": "11111111-2222-3333-4444-555555555555",
      "match_type": "exact",
      "service": "web-checkout",
      "team_handle": "team-rum",
      "view_name": "/checkout"
    },
    "type": "teams_ownership_mappings"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
Created
{% tab title="Model" %}
The response body for a single teams ownership mapping.

| Parent field | Field                            | Type      | Description                                                                                                                                                                                                                                                                 |
| ------------ | -------------------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]           | object    | The JSON:API data envelope for a teams ownership mapping.                                                                                                                                                                                                                   |
| data         | attributes [*required*]     | object    | The attributes of a teams ownership mapping.                                                                                                                                                                                                                                |
| attributes   | application_id [*required*] | string    | The ID of the RUM application this mapping applies to. For browser applications, this is the real application UUID. For mobile applications, this is the nil UUID `00000000-0000-0000-0000-000000000000` (wildcard), meaning the ownership applies across all applications. |
| attributes   | created_at [*required*]     | date-time | Timestamp when the mapping was created.                                                                                                                                                                                                                                     |
| attributes   | created_by [*required*]     | string    | The UUID of the user who created the mapping.                                                                                                                                                                                                                               |
| attributes   | match_type [*required*]     | enum      | How the `view_name` is matched against RUM view names. Allowed enum values: `exact,prefix`                                                                                                                                                                                  |
| attributes   | org_id [*required*]         | int64     | The ID of the organization that owns this mapping.                                                                                                                                                                                                                          |
| attributes   | service [*required*]        | string    | The RUM application's service name. For browser applications, may be empty. For mobile applications, this is the service that scopes the ownership.                                                                                                                         |
| attributes   | team_handle [*required*]    | string    | The handle of the team that owns the matched RUM views.                                                                                                                                                                                                                     |
| attributes   | view_name [*required*]      | string    | The RUM view name to match, or its prefix when `match_type` is `prefix`.                                                                                                                                                                                                    |
| data         | id [*required*]             | string    | The unique identifier of the teams ownership mapping.                                                                                                                                                                                                                       |
| data         | type [*required*]           | enum      | The type of the resource. The value should always be teams_ownership_mappings. Allowed enum values: `teams_ownership_mappings`                                                                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "application_id": "11111111-2222-3333-4444-555555555555",
      "created_at": "2026-01-15T09:30:00.000Z",
      "created_by": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "match_type": "exact",
      "org_id": 123456,
      "service": "web-checkout",
      "team_handle": "team-rum",
      "view_name": "/checkout"
    },
    "id": "123",
    "type": "teams_ownership_mappings"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/rum/config/teams-ownership/mappings" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "application_id": "11111111-2222-3333-4444-555555555555",
      "match_type": "exact",
      "service": "web-checkout",
      "team_handle": "team-rum",
      "view_name": "/checkout"
    },
    "type": "teams_ownership_mappings"
  }
}
EOF 
                
##### 

```python
"""
Create a teams ownership mapping returns "Created" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_teams_ownership_api import RumTeamsOwnershipApi
from datadog_api_client.v2.model.teams_ownership_mapping_create_data import TeamsOwnershipMappingCreateData
from datadog_api_client.v2.model.teams_ownership_mapping_create_data_attributes import (
    TeamsOwnershipMappingCreateDataAttributes,
)
from datadog_api_client.v2.model.teams_ownership_mapping_create_request import TeamsOwnershipMappingCreateRequest
from datadog_api_client.v2.model.teams_ownership_mapping_type import TeamsOwnershipMappingType
from datadog_api_client.v2.model.teams_ownership_match_type import TeamsOwnershipMatchType
from uuid import UUID

body = TeamsOwnershipMappingCreateRequest(
    data=TeamsOwnershipMappingCreateData(
        attributes=TeamsOwnershipMappingCreateDataAttributes(
            application_id=UUID("11111111-2222-3333-4444-555555555555"),
            match_type=TeamsOwnershipMatchType.EXACT,
            service="web-checkout",
            team_handle="team-rum",
            view_name="/checkout",
        ),
        type=TeamsOwnershipMappingType.TEAMS_OWNERSHIP_MAPPINGS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["create_teams_ownership_mapping"] = True
with ApiClient(configuration) as api_client:
    api_instance = RumTeamsOwnershipApi(api_client)
    response = api_instance.create_teams_ownership_mapping(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Create a teams ownership mapping returns "Created" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.create_teams_ownership_mapping".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RumTeamsOwnershipAPI.new

body = DatadogAPIClient::V2::TeamsOwnershipMappingCreateRequest.new({
  data: DatadogAPIClient::V2::TeamsOwnershipMappingCreateData.new({
    attributes: DatadogAPIClient::V2::TeamsOwnershipMappingCreateDataAttributes.new({
      application_id: "11111111-2222-3333-4444-555555555555",
      match_type: DatadogAPIClient::V2::TeamsOwnershipMatchType::EXACT,
      service: "web-checkout",
      team_handle: "team-rum",
      view_name: "/checkout",
    }),
    type: DatadogAPIClient::V2::TeamsOwnershipMappingType::TEAMS_OWNERSHIP_MAPPINGS,
  }),
})
p api_instance.create_teams_ownership_mapping(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Create a teams ownership mapping returns "Created" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.TeamsOwnershipMappingCreateRequest{
		Data: datadogV2.TeamsOwnershipMappingCreateData{
			Attributes: datadogV2.TeamsOwnershipMappingCreateDataAttributes{
				ApplicationId: datadog.PtrUUID(uuid.MustParse("11111111-2222-3333-4444-555555555555")),
				MatchType:     datadogV2.TEAMSOWNERSHIPMATCHTYPE_EXACT.Ptr(),
				Service:       datadog.PtrString("web-checkout"),
				TeamHandle:    "team-rum",
				ViewName:      "/checkout",
			},
			Type: datadogV2.TEAMSOWNERSHIPMAPPINGTYPE_TEAMS_OWNERSHIP_MAPPINGS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.CreateTeamsOwnershipMapping", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumTeamsOwnershipApi(apiClient)
	resp, r, err := api.CreateTeamsOwnershipMapping(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumTeamsOwnershipApi.CreateTeamsOwnershipMapping`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumTeamsOwnershipApi.CreateTeamsOwnershipMapping`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Create a teams ownership mapping returns "Created" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumTeamsOwnershipApi;
import com.datadog.api.client.v2.model.TeamsOwnershipMappingCreateData;
import com.datadog.api.client.v2.model.TeamsOwnershipMappingCreateDataAttributes;
import com.datadog.api.client.v2.model.TeamsOwnershipMappingCreateRequest;
import com.datadog.api.client.v2.model.TeamsOwnershipMappingResponse;
import com.datadog.api.client.v2.model.TeamsOwnershipMappingType;
import com.datadog.api.client.v2.model.TeamsOwnershipMatchType;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.createTeamsOwnershipMapping", true);
    RumTeamsOwnershipApi apiInstance = new RumTeamsOwnershipApi(defaultClient);

    TeamsOwnershipMappingCreateRequest body =
        new TeamsOwnershipMappingCreateRequest()
            .data(
                new TeamsOwnershipMappingCreateData()
                    .attributes(
                        new TeamsOwnershipMappingCreateDataAttributes()
                            .applicationId(UUID.fromString("11111111-2222-3333-4444-555555555555"))
                            .matchType(TeamsOwnershipMatchType.EXACT)
                            .service("web-checkout")
                            .teamHandle("team-rum")
                            .viewName("/checkout"))
                    .type(TeamsOwnershipMappingType.TEAMS_OWNERSHIP_MAPPINGS));

    try {
      TeamsOwnershipMappingResponse result = apiInstance.createTeamsOwnershipMapping(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumTeamsOwnershipApi#createTeamsOwnershipMapping");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Create a teams ownership mapping returns "Created" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_teams_ownership::RumTeamsOwnershipAPI;
use datadog_api_client::datadogV2::model::TeamsOwnershipMappingCreateData;
use datadog_api_client::datadogV2::model::TeamsOwnershipMappingCreateDataAttributes;
use datadog_api_client::datadogV2::model::TeamsOwnershipMappingCreateRequest;
use datadog_api_client::datadogV2::model::TeamsOwnershipMappingType;
use datadog_api_client::datadogV2::model::TeamsOwnershipMatchType;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body = TeamsOwnershipMappingCreateRequest::new(TeamsOwnershipMappingCreateData::new(
        TeamsOwnershipMappingCreateDataAttributes::new(
            "team-rum".to_string(),
            "/checkout".to_string(),
        )
        .application_id(
            Uuid::parse_str("11111111-2222-3333-4444-555555555555").expect("invalid UUID"),
        )
        .match_type(TeamsOwnershipMatchType::EXACT)
        .service("web-checkout".to_string()),
        TeamsOwnershipMappingType::TEAMS_OWNERSHIP_MAPPINGS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.CreateTeamsOwnershipMapping", true);
    let api = RumTeamsOwnershipAPI::with_config(configuration);
    let resp = api.create_teams_ownership_mapping(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Create a teams ownership mapping returns "Created" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.createTeamsOwnershipMapping"] = true;
const apiInstance = new v2.RumTeamsOwnershipApi(configuration);

const params: v2.RumTeamsOwnershipApiCreateTeamsOwnershipMappingRequest = {
  body: {
    data: {
      attributes: {
        applicationId: "11111111-2222-3333-4444-555555555555",
        matchType: "exact",
        service: "web-checkout",
        teamHandle: "team-rum",
        viewName: "/checkout",
      },
      type: "teams_ownership_mappings",
    },
  },
};

apiInstance
  .createTeamsOwnershipMapping(params)
  .then((data: v2.TeamsOwnershipMappingResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
